Name:		perl-POP3Client
License:	Artistic License
Group:		Development/Libraries/Perl
Requires:	perl = %{perl_version}
Autoreqprov:	on
Summary:	POP3 Client module for perl
Version:	2.13
Release:	1.intergenia
Source:		http://search.cpan.org/CPAN/authors/id/S/SD/SDOWD/POP3Client-2.13.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
POP3 Client module for perl

%prep
%setup -n POP3Client-%{version}

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-, root, root)
/var/adm/perl-modules/perl-POP3Client

%changelog -n perl-POP3Client
* Sun May 30 2004 Maik Broemme <mbroemme@plusserver.de> 2.13-1.intergenia
- first package, version 2.13
